2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.12 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.11 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.

2009-08-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.10 released.

2009-08-13  Aidan Kehoe  <kehoea@parhasard.net>

	* ibuf-ext.el (ibuffer-generate-filter-groups): 
	* ibuffer.el (ibuffer-fontify-region-function): 
	Use #'destructuring-bind, not #'multiple-value-bind, given that
	we're not actually using multiple value returns in the called
	forms.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.09 released.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-07-14  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.08 released.

2002-07-03  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-mode-map): Reorder entries so "View" will
	show v as its keybinding in Operate menu.
	(ibuffer-mode): Disable paren highlighting in the Ibuffer buffer.

2002-05-07  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.07 released.

2002-05-01  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-filter-group-popup-menu): Add entries
	for `ibuffer-kill-line' and `ibuffer-yank'.

2002-04-30  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-insert-filter-group): Change help-echo.
	(toplevel): define-ibuffer-column name: Ditto.

2002-04-29  Colin Walters  <walters@verbum.org>

	* ibuf-ext.el (ibuffer-kill-line): Copy the filter group data 
	structure when killing.
	(ibuffer-yank): Handle case where we're yanking on the default
	group correctly.
	(ibuffer-delete-saved-filter-groups): Doc fix.
	
2002-04-30  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.06 released.

2002-04-28  Colin Walters  <walters@verbum.org>

	* ibuffer.el (ibuffer-mode): Additional documentation on filter
	groups.
	
2002-04-28  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-redisplay-current): Insert the buffer line
	before deleting the existing one.
	(ibuffer-mouse-toggle-mark): Don't save the excursion; set point.
	Replace `ibuffer-aif' call with let binding.
	
2002-04-28  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-filter-group-name-face): New face.
	(ibuffer-mode-map): Add bindings for [down] and [up], for
	`ibuffer-kill-line' and `ibuffer-yank', and for all the
	filter group commands.
	(ibuffer-mode-filter-group-map): New local keymap.
	(ibuffer-mode-filter-group-menu): New variable.
	(ibuffer-sort-menu-data): New variable.
	(ibuffer-filter-menu-data): Ditto.
	(ibuffer-filter-group-menu-data): Ditto.
	(ibuffer-mode-immediate-menu): Use them.
	(ibuffer-mode-sort-menu): Removed.
	(ibuffer-mode-filter-menu): Removed.
	(ibuffer-mouse-toggle-mark): Handle filter groups.
	(ibuffer-mouse-visit-buffer): Error if current buffer is killed.
	(ibuffer-filter-group-popup-menu): New function.
	(ibuffer-skip-properties): New function..
	(ibuffer-backward-line): Add optional skip-group-names argument.
	(ibuffer-forward-line): Ditto.
	(ibuffer-visit-buffer): Add optional single argument.
	(ibuffer-visit-buffer-other-window): Call `ibuffer-current-buffer' 
	with must-be-live.
	(ibuffer-visit-buffer-other-frame): Ditto.
	(ibuffer-bury-buffer): Ditto.
	(ibuffer-visit-tags-table): Ditto.
	(ibuffer-do-view-1): Ditto.
	(ibuffer-map-lines):  Only call mapping functions with buffer and 
	mark arguments; the other two were unused.  Add extra group argument.
	(ibuffer-buffer-names-with-mark): Only call mapping function with 
	buffer and mark	arguments.
	(ibuffer-count-marked-lines): Ditto.
	(ibuffer-count-deletion-lines): Ditto.
	(ibuffer-unmark-all): Ditto.
	(ibuffer-toggle-marks): Ditto.
	(ibuffer-map-on-mark): Ditto.
	(ibuffer-mark-forward): Docfix, mention filter groups.
	(ibuffer-unmark-forward): Ditto.
	(ibuffer-unmark-backward): Ditto.
	(ibuffer-mark-for-delete): Ditto.
	(ibuffer-mark-for-delete-backwards): Ditto.
	(ibuffer-mark-interactive): Handle filter groups.
	(ibuffer-current-buffer): Clean up error handling.
	(ibuffer-compile-format): Handle summarizer columns.
	(ibuffer-clear-summary-columns): New function.
	(ibuffer-fontify-region-function): Fontify filter groups too.
	(ibuffer-insert-buffer-line): Leave point at end of line.
	(ibuffer-current-state-list): Rejiggle.
	(ibuffer-current-buffers-with-marks): Add optional curbufs argument.
	(ibuffer-update-title): Don't bind after-change-functions to nil,
	don't expand format.
	(ibuffer-update-summary): New function.
	(ibuffer-update):
	(ibuffer-sort-bufferlist): New function.
	(ibuffer-insert-filter-group): New function.
	(ibuffer-insert-buffers-and-marks): Removed.
	(ibuffer-redisplay-engine): New function
	(ibuffer-redisplay): Use it.
	(ibuffer): Add optional filter-groups argument.  
	(ibuffer-mode): Docfix.  Initialise filter group stuff.  Add menus.
	
	* ibuf-ext.el (ibuffer-split-list): New function.
	(ibuffer-filter-groups): New variable.
	(ibuffer-hidden-filter-groups): Ditto.
	(ibuffer-filter-group-kill-ring): Ditto.
	(ibuffer-show-empty-filter-groups): New customizable variable.
	(ibuffer-saved-filter-groups): Ditto.
	(ibuffer-mouse-toggle-filter-group): New function.
	(ibuffer-toggle-filter-group): Ditto.
	(ibuffer-toggle-filter-group-1): Ditto.
	(ibuffer-forward-filter-group): Ditto.
	(ibuffer-backward-filter-group): Ditto.
	(ibuffer-generate-filter-groups): Ditto.
	(ibuffer-filters-to-filter-group): Ditto.
	(ibuffer-set-filter-groups-by-mode): Ditto.
	(ibuffer-pop-filter-group): Ditto.
	(ibuffer-clear-filter-groups): Ditto.
	(ibuffer-current-filter-groups-with-position): Ditto.
	(ibuffer-jump-to-filter-group): Ditto.
	(ibuffer-kill-filter-group): Ditto.
	(ibuffer-kill-line): Ditto.
	(ibuffer-yank): Ditto.
	(ibuffer-save-filter-groups): Ditto.
	(ibuffer-delete-saved-filter-groups): Ditto.
	(ibuffer-switch-to-saved-filter-groups): Ditto.
	(ibuffer-maybe-save-saved-filters): Remove.
	(ibuffer-maybe-save-stuff): New function; replacement for above.

	* ibuf-macs.el (ibuffer-save-marks): Use `ibuffer-redisplay-engine'.
	(define-ibuffer-column): Add summarizer support.
	(define-ibuffer-op): Just beg and end.
	
2002-04-24  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.05 released.

2002-04-04  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-mode): Put on mode-class property with 
	value special.

2002-04-02  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-make-temp-file): Use file-name-as-directory,
	not convoluted brain-damage.  Fix indentation.

2002-03-30  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-make-temp-file): Use temp-directory, not 
	temporary-file-directory.
	
2002-03-29  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-formats): Change width of size column in first
	format to 7.
	(ibuffer-line-beginning-position): Prefer point-at-bol as alias.
	(ibuffer-line-end-position): Prefer point-at-eol as alias.

2002-03-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): 1.04 released.

2002-03-21  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer): Always use other window when
	ibuffer-use-other-window is non-nil.
	(ibuffer-list-buffers): Remove function.
	(ibuffer-list-buffers): Alias to ibuffer-other-window.

2002-03-19  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-set-mark): Go to the beginning of the
	line after setting the mark.
	* ibuf-ext.el (ibuffer-toggle-sorting-mode): Don't use find-if.
	From Colin Walters  <walters@verbum.org>

2002-03-05  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-shrink-to-fit): Use window-displayed-height
	rather than window-height with fudge factor to avoid inadvertent
	deletion.  Handle owin argument.

2002-03-02  Adrian Aichner  <adrian@xemacs.org>

	* ibuffer.el (ibuffer-header-line-face): Convert
	`ibuffer-header-line-face' from `defface' to `defcustom' and
	initialize it to `header-line.
	* ibuffer.el (header-line): Define unless bound.
	* ibuffer.el (ibuffer-fontify-region-function): Don't quote face
	argument.

2002-03-03  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-shrink-to-fit): test whether window is only
	one in frame during enlargement iterations.
	From Adrian Aichner  <adrian@xemacs.org>

2002-02-28  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-filter-format-alist): fix type, add group.
	(toplevel): define-ibuffer-column major-mode: add name.
	(toplevel): define-ibuffer-column name: fix indentation.

2002-02-26  Adrian Aichner  <adrian@xemacs.org>

	* ibuf-ext.el (ibuffer-occur-engine): Use compatibility functions
	`ibuffer-line-beginning' and `ibuffer-line-end'.

2002-02-26  John Paul Wallington  <jpw@xemacs.org>

	* ibuf-ext.el (ibuffer-do-occur): don't quote ibuffer-marked-char
	argument in ibuffer-set-mark call.

2002-02-26  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-operate-menu-data): fix entries for
	ibuffer-do-shell-command-pipe, ibuffer-do-shell-command-pipe-replace.

2002-02-26  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-formats): change defaults again.

2002-02-26  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-formats): change defaults, in particular
	use major-mode column.
	(ibuffer-default-sorting-mode): add mode-name choice.
	(ibuffer-toggle-sorting-modes): new customizable variable.
	(ibuffer-mode-map): add binding for ibuffer-do-sort-by-mode-name.
	(ibuffer-mode-sort-menu): add entry for ibuffer-do-sort-by-mode-name.
	(toplevel): define-ibuffer-column major-mode.
	* ibuf-ext.el (ibuffer-toggle-sorting-mode): use 
	ibuffer-toggle-sorting-modes.  More verbose message.
	(toplevel): define-ibuffer-sorter mode-name.

2002-02-25  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-shrink-to-fit): use ibuffer-window-list.
	(ibuffer-help-buffer-modes): new customizable variable.
	(ibuffer-fontification-alist): use it.
	* ibuf-ext.el (ibuffer-mark-help-buffers): use it.
	
2002-02-25  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-fontification-alist): add hyper-apropos-mode.
	* ibuf-ext.el (ibuffer-toggle-sorting-mode): docfix.
	(ibuffer-mark-help-buffers): add hyper-apropos-mode.

2002-02-24  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-marked-face): replace defface and defvar
	with defcustom.
	(ibuffer-deletion-face): ditto.
	(ibuffer-title-face): ditto.
	(ibuffer-read-only-buffer-face): ditto.
	(ibuffer-special-buffer-face): ditto.
	(ibuffer-hidden-buffer-face): ditto.
	(ibuffer-help-buffer-face): ditto.
	(ibuffer-dired-buffer-face): ditto.
	(ibuffer-header-line-face): changed foreground colours.

2002-02-24  Adrian Aichner  <adrian@xemacs.org>

	* ibuffer.el (ibuffer-fontification-alist): Fix 'info-mode to
	'Info-mode (compatible with GNU Emacs 21.1+), add 'Info-edit-mode.

2002-02-24  Adrian Aichner  <adrian@xemacs.org>

	* ibuffer.el (ibuffer-fontify-region-function): Use `find-face'
	under XEmacs to support faces lacking variable of same name
	(e.g. italic or font-lock-warning-face).

2002-02-24  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-button-1): new variable.
	(ibuffer-button-2): ditto.
	(ibuffer-name-map): use them.
	(ibuffer-mode-name-map): use ibuffer-button-2.

2002-02-24  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-shrink-to-fit): omit window argument in
	pos-visible-in-window-p call.
	(ibuffer-confirm-operation-on): use ibuffer-shrink-to-fit.
	From Adrian Aichner  <adrian@xemacs.org>

	(ibuffer-make-temp-file): use ibuffer-make-temp-file from
	ibuffer.el v2.6.
	(ibuffer-set-header-line-format): define it if header-line-format is
	bound.

2002-02-23  Steve Youngs  <youngs@xemacs.org>

	* package-info.in: Package name was incorrect.

2002-02-22  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-customize): add autoload magic comment.
	(ibuffer): add autoload magic comment to custom group.
	(ibuffer-faces): ditto.
	(ibuffer-occur-match-face): add; removed from ibuf-ext.el.
	(ibuffer-filter-format-alist): ditto.
	(ibuffer-always-show-predicates): ditto.
	(ibuffer-saved-filters): ditto.
	(ibuffer-old-time): ditto.
	(ibuffer-save-with-custom:) ditto.
	* ibuf-ext.el (ibuffer-never-show-predicates): remove.
	(ibuffer-always-show-predicates): remove; added to ibuffer.el.
	(ibuffer-occur-match-face): ditto.
	(ibuffer-saved-filters): ditto.
	(ibuffer-filter-format-alist): ditto.
	(ibuffer-old-time): ditto.
	(ibuffer-save-with-custom): ditto.

2002-02-22  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (toplevel): fix indentation.
	(ibuffer-compile-formats-quieten-log): remove.
	(ibuffer-compile-format): don't use it.
	
2002-02-21  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-buffer-display-time): make it buffer local.
	* ibuf-ext.el (ibuffer-old-time): means hours rather than days.
	(ibuffer-mark-old-buffers): use it, docfix.
	* Makefile (REQUIRES): remove dired.
	
2002-02-21  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-always-compile-formats): change default value.
	(ibuffer-compile-formats-quieten-log): change default value to nil.
	(ibuffer-compile-format): remove spurious reference to pt.
	
2002-02-21  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-track-buffers): new function.
	(buffer-list-changed-hook): add it.
	(ibuffer-buffer-display-time): new variable.
	(ibuffer-tracked-buffers): new variable.
	(ibuffer-mode): whitespace changes.
	* ibuf-ext.el (ibuffer-mark-old-buffers): use 
	ibuffer-buffer-display-time.

2002-02-20  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (toplevel): use eval-when-compile around requires,
	and don't require dired.
	(ibuffer-mode): reorder easy-menu-add calls.
	(ibuffer-make-temp-file): docfix.
	(ibuffer-shrink-to-fit): docfix.
	(ibuffer-always-compile-formats): change default value to nil.
	* ibuf-ext.el (ibuffer-occur-match-face): replace defcustom with
	defface plus defvar.

2002-02-19  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-mode-sort-menu): add menu separators.
	(ibuffer-mode-mark-menu): ditto.
	(ibuffer-operate-menu-data): ditto.

2002-02-18  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-shrink-to-fit): don't resize when sole
	window of frame.

2002-02-18  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-shrink-to-fit): perform enlargement too.
	(ibuffer-formats): changed default value; center mode column.

2002-02-18  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-compile-formats-quieten-log): new
	customizable variable.
	(ibuffer-compile-format): use it.
	(ibuffer-compile-format): revert commenting out pt.
	(ibuffer-mode): only set show-trailing-whitespace if it is bound.

2002-02-17  John Paul Wallington  <jpw@xemacs.org>

	* ibuffer.el (ibuffer-shrink-to-fit): make it an alias to
	shrink-window-if-larger-than-buffer.
	(ibuffer-set-header-line-format): new function.
	(ibuffer-marked-face): replace defcustom with defface plus defvar.
	(ibuffer-deletion-face): ditto.
	(ibuffer-title-face): ditto.
	(ibuffer-read-only-buffer-face): ditto.
	(ibuffer-special-buffer-face): ditto.
	(ibuffer-hidden-buffer-face): ditto.
	(ibuffer-help-buffer-face): ditto.
	(ibuffer-dired-buffer-face): ditto.
	(ibuffer-header-line-face): new defface plus defvar.
	(ibuffer-use-header-line): change default value to t. Docfix.
	(ibuffer-truncate-lines): docfix.
	(ibuffer-fontify-region-function): add header-line fontification.
	(ibuffer-update-title): bind inhibit-read-only to t.
	(ibuffer-update-mode-name): use ibuffer-set-header-line-format.

2002-02-16  John Paul Wallington  <jpw@shootybangbang.com>

	* ibuf-macs.el (define-ibuffer-column): use ibuffer-propertize.

2002-02-16  John Paul Wallington  <jpw@shootybangbang.com>

	* ibuffer.el (toplevel): require easymenu.
	(ibuffer-use-fontification): removed function.
	(ibuffer-use-fontification): new customizable variable.
	(ibuffer-make-temp-file): new function - GNU 21's
	make-temp-file.
	(ibuffer-propertize): new function.
	(ibuffer-event-position): new function.
	(ibuffer-event-window): new function.
	(ibuffer-line-beginning-position): new function.
	(ibuffer-line-end-position): new function.
	(ibuffer-window-buffer-height): new function.
	(ibuffer-replace-regexp-in-string): new function - GNU 21's
	replace-regexp-in-string.
	(ibuffer-faces): new custom group.
	(ibuffer-truncate-lines): new customizable variable.
	(ibuffer-name-map): use [buttonx], not [(mouse-x)].
	(ibuffer-mode-name-map): use [buttonx], not [(mouse-x)].
	(ibuffer-immediate-menu): renamed from ibuffer-view-menu.
	(ibuffer-immediate-menu): defined by easy-menu-define.
	(ibuffer-mode-mark-menu): ditto.
	(ibuffer-mode-immediate-menu): ditto.
	(ibuffer-mode-sort-menu): ditto.
	(ibuffer-mode-filter-menu): ditto.
	(ibuffer-customize): new function.
	(ibuffer-shrink-to-fit): use shrink-window-if-larger-than-buffer.
	(ibuffer-compile-format): comment out pt.
	(ibuffer-insert-buffers-and-marks): don't bind after-change-functions
	to nil.
	(ibuffer-mode): use ibuffer-truncate-lines.  Make fontification work.
	* ibuf-ext.el (toggle-sorting-mode): rewrite.
	(ibuffer-occur-props): make it buffer local.
	(ibuffer-occur-mode-map): use [buttonx], not [(mouse-x)].
	(ibuffer-occur-engine): use text property instead of overlay.

2002-02-15  Steve Youngs  <youngs@xemacs.org>

	* ibuffer.el (ibuffer-mode-map): Comment out all the
	'define-key-after' stuff.

	* Makefile (REQUIRES): Add xemacs-base.

2002-02-15  Steve Youngs  <youngs@xemacs.org>

	* New package created.

